<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Catalog\Block\Product\View */


?>
<?php $_product = $block->getProduct(); $sku = $_product->getSku(); ?>

<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php
$add_cart = true;
if($_product->getTypeId() == 'simple'){
	if($themeHelper->getSalableQty($_product) <= 0){
		$add_cart = false;
	}
}

$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$rule_id = 2;
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
$storeId = $storeManager->getStore()->getStoreId();
$retunDays = 30;
if($storeId == 35){
  $retunDays = 14;
}
$websiteId = $storeManager->getStore()->getWebsiteId();
    $rule_id = 2;
	if ($websiteId == 1 || $websiteId == 2) {
			$rule_id = 2;
		} elseif ($websiteId == 5) {
			$rule_id = 10;
		} elseif ($websiteId == 4) {
			$rule_id = 9;
		} elseif ($websiteId == 3) {
			$rule_id = 8;
		}
$rule = $objectManager->create('Magento\SalesRule\Model\Rule')->load($rule_id);
    //To get conditions

    $ser = $rule->getConditionsSerialized();

    $abovePrice = json_decode($ser)->conditions[0]->value;
    $abovePrice = $this->helper('Magento\Framework\Pricing\Helper\Data')->currency($abovePrice, true, false);


?>

<?php $_product = $block->getProduct(); ?>
<?php 
					$lifetime_warranty = false;
					$lifetime_warranty = $_product->getLifetimeWarranty();
					/*echo "<pre>";
					print_r($_product->getData('lifetime_warranty'));
					die("kkkkk");*/
					if($_product->getTypeId() == 'configurable'){
						$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
						$_children = $_product->getTypeInstance()->getUsedProducts($_product);
						foreach ($_children as $child){							
						    $lifetime_warranty = $child->getAttributeText('lifetime_warranty');
						    if($lifetime_warranty == 'Yes'){
						    	break;
						    }
						}
					}
					?>
<?php $buttonTitle = __('Add to Cart'); ?>
<?php if ($_product->isSaleable()) :?>
	<div id="outofstock" class="product-info-stock-sku 111" style="display: none;">
							            <div class="stock unavailable" title="Availability">
            <span>
            	Sold Out
            </span>
        </div>
    							</div>
<div class="box-tocart">
			<?php //echo $block->getChildHtml('', true) ?>
			<?php echo $this->getLayout()
          		->createBlock('Magento\Catalog\Pricing\Render',
                  "product.price.final11",
                    [
                        'data' => [
                            'price_render' => 'product.price.render.default',
                            'price_type_code' => 'final_price',
                            'zone' => 'item_view'
                        ]
                   ]
                  )
          ->toHtml();
           ?>
        <?php if($storeId == 35){
        	if($sku == '27F34KCPD'){

        		$productRepository = $objectManager->get('Magento\Catalog\Api\ProductRepositoryInterface'); 
        		$irisProduct = $productRepository->get('IUWA09');

        	?>
			<div class="al_coupon_section" style="display:none;">
				<span></span>
				<div class="text">					
					Buy Now and get<a href="<?php echo $irisProduct->getProductUrl(); ?>"> ALOGIC IRIS Webcam</a> worth $69.99 for free!
				</div>
			</div>
        	<?php }else{?>
			<div class="al_coupon_section" style="display:none;">
				<span></span>
				<div class="text">					
					Use code ALG25 to get 25% off
				</div>
			</div>
        	<?php }
        } ?>
       

	<?php //if($_product->getShowCustomBlock()){ ?>
			<div class="ship-wrapper">
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/day-returns.png" alt="<?php echo $retunDays; ?> Days Returns">
					<span class="ship-wrapper-info"><?php echo $retunDays; ?> <?php echo __('Days Returns'); ?></span>
				</div>
				<div class="ship-wrapper-data">
					
					<img class="img-responsive" src="/media/wysiwyg/year-warranty.png" alt="Warranty">
					<?php if($lifetime_warranty == 'Yes') {?>
						<span class="ship-wrapper-info"> <?php echo __('Lifetime Warranty'); ?></span>
					<?php }else{ ?>
						<span class="ship-wrapper-info">2 <?php echo __('Year Warranty'); ?></span>
					<?php } ?>
				</div>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/free-shipping-over.png" alt="Free Shipping over">
					<?php if($storeId == 35 ){?>
						<span class="ship-wrapper-info">
							Free Shipping </span>
					<?php }else{ ?>
					<span class="ship-wrapper-info"><?php echo __('Free Shipping over'); ?> <?php echo  str_replace('.00', '', str_replace(',00', '', $abovePrice)); ?></span>
					<?php } ?>
				</div>
			</div>
		<?php //} ?>
		
		
    <div class="fieldset">
    	<div class="field name-price" style="display: none;">
    		<div class="name">
    			<?php echo $_product->getName(); ?>
    		</div>
    		<div class="price sticky-price">
    			<?php echo $this->getLayout()
          		->createBlock('Magento\Catalog\Pricing\Render',
                  "product.price.final.mobile",
                    [
                        'data' => [
                            'price_render' => 'product.price.render.default',
                            'price_type_code' => 'final_price',
                            'zone' => 'item_view'
                        ]
                   ]
                  )
          ->toHtml();?>
    		</div>
    		
    	</div>
        <?php if ($block->shouldRenderQuantity()) :?>
        <div class="field qty">
            <label class="label" for="qty"><span><?= $block->escapeHtml(__('Qty')) ?></span></label>
            <div class="control">
						<span class="edit-qty minus" onclick="minusQty('qty')">-</span>
						<input type="number"
								 name="qty"
								 id="qty"
								 maxlength="12"
								 value="<?php /* @escapeNotVerified */ echo $block->getProductDefaultQty() * 1 ?>"
								 title="<?php /* @escapeNotVerified */ echo __('Qty') ?>" class="input-text qty"
								 data-validate="<?php echo $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
								 />
								 <span class="edit-qty plus" onclick="plusQty('qty')">+</span>
					</div>
        </div>
        <?php endif; ?>
        <div class="actions">
            <button type="submit"
                    title="<?= $block->escapeHtmlAttr($buttonTitle) ?>"
                    class="action primary tocart btn btn-primary hvr-wobble-vertical"
                    id="product-addtocart-button" disabled>
                <span><?= $block->escapeHtml($buttonTitle) ?></span>
            </button>
            <div class="product-info-stock-sku">
							<div class="stock available"><span><div id="preorderId"></div></span></div>							
		</div>
            <?= $block->getChildHtml('', true) ?>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if (!$_product->isSaleable()) :?>
<div class="ship-wrapper" style="padding-top: 30px;">
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/refresh.png" alt="<?php echo $retunDays; ?> Days Returns">
					<span class="ship-wrapper-info"><?php echo $retunDays; ?> <?php echo __('Days Returns'); ?></span>
				</div>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/warranty.png" alt="Warranty">
					<?php if($lifetime_warranty) {?>
						<span class="ship-wrapper-info"> <?php echo __('Lifetime Warranty'); ?></span>
					<?php }else{ ?>
						<span class="ship-wrapper-info">2 <?php echo __('Year Warranty'); ?></span>
					<?php } ?>
				</div>
				<div class="ship-wrapper-data">
					<img class="img-responsive" src="/media/wysiwyg/Icons/ship-truck.png" alt="Free Shipping over">
					<span class="ship-wrapper-info"><?php echo __('Free Shipping over'); ?> <?php echo  str_replace('.00', '', str_replace(',00', '', $abovePrice)); ?></span>
				</div>
			</div>
<?php endif; ?>
<script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "Magento_Catalog/js/validate-product": {}
        }
    }
</script>
<?php if ($block->shouldRenderQuantity()): ?>
	<script type="text/javascript">
		function plusQty(qtyInput){
			require([
			'jquery'
			], function(jQuery){
				(function($) {
					if($('#'+qtyInput).attr('disabled')!='disabled'){
						qty = $('#'+qtyInput).attr('value');
						qty = parseInt(qty);
						qty++;
						$('#'+qtyInput).val(qty);
					}
				})(jQuery);
			});

		}
		function minusQty(qtyInput){
			require([
			'jquery'
			], function(jQuery){
				(function($) {
					if($('#'+qtyInput).attr('disabled')!='disabled'){
						qty = $('#'+qtyInput).attr('value');
						qty = parseInt(qty);

						if(qty>1){
							qty--;
							$('#'+qtyInput).val(qty);
						}
					}
				})(jQuery);
			});
		}
	</script>
<?php endif; ?>
